Summary:	Arpwatch monitors changes in ethernet/ip address pairings
Summary(pl.UTF-8):	Arpwatch monitoruje zmiany w parach adresów ethernet/ip
Summary(ru.UTF-8):	Инструмент для отслеживания IP адресов в локальной сети
Summary(uk.UTF-8):	Інструмент для відслідковування IP адрес в локальній мережі
Name:		arpwatch
Version:	2.1a15
Release:	6
Epoch:		2
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.ee.lbl.gov/%{name}-%{version}.tar.gz
# Source0-md5:	cebfeb99c4a7c2a6cee2564770415fe7
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	dmassagevendor
Source4:	dmassagevendor.8
Source5:	https://ftp.debian.org/debian/pool/main/a/arpwatch/arpwatch_2.1a15-8.debian.tar.xz
# Source5-md5:	5e1a6414ae8cb98af3e0691be062a3d5
Patch0:		%{name}-opt.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Arpwatch and arpsnmp are tools that monitors ethernet or FDDI activity
and maintain a database of ethernet/IP address pairings.

%description -l pl.UTF-8
Arpwatch i arpsnmp to narzędzia do monitorowania ethernetu i FDDI.
Dodatkowo tworzona jest baza par adresów ethernet/IP.

%description -l ru.UTF-8
Пакет arpwatch содержит утилиты arpwatch и arpsnmp. Они производят
мониторинг траффика в сетях Ethernet или FDDI и строят базы данных
адресных пар Ethernet/IP. Изменения в таких парах могут сообщаться при
помощи e-mail.

%description -l uk.UTF-8
Пакет arpwatch містить утиліти arpwatch та arpsnmp. Вони проводять
моніторинг трафіку в Ethernet чи FDDI мережах та будують бази даних
адресних пар Ethernet/IP. Зміни в таких парах можуть повідомлятись за
допомогою e-mail.

%prep
%setup  -q -a5
for p in $(cat debian/patches/series); do
	patch -p1 < "debian/patches/$p" || exit 1
done
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure

%{__make} \
	ARPDIR=/var/lib/arpwatch

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/lib/arpwatch,/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_var}/lib/%{name}}

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

install arp2ethers arpfetch $RPM_BUILD_ROOT%{_sbindir}
install bihourly.sh $RPM_BUILD_ROOT%{_sbindir}/bihourly
install *.{awk,dat} massagevendor{,-old} %{SOURCE3} $RPM_BUILD_ROOT/var/lib/arpwatch
install *.8 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man8
install ethercodes.dat $RPM_BUILD_ROOT%{_var}/lib/%{name}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/arpwatch
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/arpwatch

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add arpwatch
%service arpwatch restart "arpwatch daemon"

%preun
if [ "$1" = "0" ]; then
	%service arpwatch stop
	/sbin/chkconfig --del arpwatch
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(754,root,root) /etc/rc.d/init.d/arpwatch
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/arpwatch
%{_mandir}/man8/*
%attr(750,daemon,root) %dir /var/lib/arpwatch
%attr(644,daemon,root) %config(noreplace) %verify(not md5 mtime size) /var/lib/arpwatch/arp.dat
%attr(755,daemon,root) /var/lib/arpwatch/*.awk
%attr(755,daemon,root) /var/lib/arpwatch/*massagevendor*
/var/lib/arpwatch/ethercodes.dat
%changelog
* Sun May 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/arpwatch.git;a=log;h=master

* Sun May 09 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> bba6091
- rel 6; update patches from debian

* Sun May 09 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a9db74
- Rediff patches

* Tue Feb 11 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> e406dd0
- use http://ftp.debian.org/ url

* Fri Oct 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bfe7605
- rel 5; switch fully to debian patch

* Tue Feb 05 2013 Marcin Banasiak <marcin.banasiak@gmail.com> f616fdd
- Add missing $Id content that got lost during git migration

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 245aa04
- fixed Group

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 928c46b
- release 4

* Thu Apr 08 2010 Szymon Siwek <sls@pld-linux.org> 1ee5465
- added ac264.patch

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> a381cac
- build fix found, but i don't know how to grab diff from it

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> ece6564
- release 3

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c32b9d
- release 2

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bc5ed3c
- comment out broken macro

* Sun Sep 16 2007 areq <areq@pld-linux.org> 530b634
- 2.1a15

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f20941a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 17f908a
- converted to UTF-8

* Wed Nov 08 2006 Jakub Bogusz <qboosh@pld-linux.org> a24eb91
- spelling

* Fri Jul 28 2006 Paweł Gołaszewski <blues@pld-linux.org> ac20c07
- 2.1a14 - missingcodes.txt is missing, builds

* Fri Jul 28 2006 Paweł Gołaszewski <blues@pld-linux.org> 114b7fd
- remove bogus version patching

* Thu May 11 2006 Elan Ruusamäe <glen@pld-linux.org> e779650
- rel 4

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 3d983fe
- orphaned, outdated

